Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPEnvelopeImpl

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.SOAPElementImpl
              org.apache.axis.message.SOAPElementAxisImpl
                  org.apache.axis.message.SOAPEnvelopeImpl

All Implemented Interfaces:
  Cloneable, Element, Node, javax.xml.soap.Node, Serializable, javax.xml.soap.SOAPElement, javax.xml.soap.SOAPEnvelope

Direct Known Subclasses:
  SOAPEnvelopeAxisImpl

public class SOAPEnvelopeImpl
extends SOAPElementAxisImpl
implements javax.xml.soap.SOAPEnvelope

An implemenation of the abstract SOAPEnvelope.

This class should not expose functionality that is not part of `SOAPEnvelope`. Client code should use `SOAPEnvelope` whenever possible.

Author:
  Thomas Diesler (thomas.diesler@jboss.org)
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.message.SOAPElementAxisImpl
`SOAPElementAxisImpl.QNameAttr`

Field Summary

Fields inherited from class org.apache.axis.message.SOAPElementAxisImpl
`_isRoot, attributes, context, elementRep, encodingStyle, endEventIndex, href, id, message, name, namespaces, namespaceURI, prefix, qNameAttrs, recorder, soapPart, startContentsIndex, startEventIndex, typeQName`

Fields inherited from class org.apache.axis.message.NodeImpl
`domNode, soapParent`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SOAPEnvelopeImpl(String localPart, String prefix, String uri)`

Method Summary
`javax.xml.soap.SOAPBody` | `addBody()`
`javax.xml.soap.SOAPHeader` | `addHeader()`
`javax.xml.soap.SOAPElement` | `addTextNode(String s)` Text nodes are not supported.
`javax.xml.soap.Name` | `createName(String localName)`
`javax.xml.soap.Name` | `createName(String localName, String prefix, String uri)`
`javax.xml.soap.SOAPBody` | `getBody()`
`javax.xml.soap.SOAPHeader` | `getHeader()`

Methods inherited from class org.apache.axis.message.SOAPElementAxisImpl
`addAttribute, addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, appendChild, cloneNode, clonning, detachAllChildren, detachNode, getAllAttributes, getAsDocument, getAsDOM, getAsString, getAsStringFromInternal, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getAttributesEx, getAttributeValue, getAttributeValue, getChildElements, getChildElements, getChildNodes, getChildren, getCompleteAttributes, getElementName, getElementsByTagName, getElementsByTagNameNS, getElementsNS, getEncodingStyle, getEnvelope, getFirstChild, getFixupDeserializer, getHref, getID, getLastChild, getLocalName, getName, getNamespacePrefixes, getNamespaceURI, getNamespaceURI, getNextSibling, getNodeType, getNodeValue, getObjectValue, getObjectValue, getOwnerDocument, getParentElement, getParentNode, getPrefix, getPrefix, getPreviousSibling, getQName, getRealElement, getRecorder, getTagName, getType, getValueAsType, getValueAsType, getVisibleNamespacePrefixes, hasAttribute, hasAttributeNS, hasAttributes, hasChildNodes, insertBefore, isDirty, isImmutable, isRoot, isSupported, makeAttributesEditable, normalize, output, outputImpl, printFromInternal, publishContents, publishToHandler, removeAttribute, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, removeContents, removeNamespaceDeclaration, replaceChild, setAllAttributes, setAllImmutable, setAttribute, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setContentsIndex, setDirty, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setImmutable, setName, setNamespaceURI, setNSMappings, setObjectValue, setOwnerDocument, setParentElement, setPrefix, setQName, setRecorder, setType`

Methods inherited from class org.apache.axis.message.NodeImpl
`getNodeName, getValue, hashCode, recycleNode, setNodeValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, getVisibleNamespacePrefixes, removeAttribute, removeContents, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Constructor Detail

### SOAPEnvelopeImpl

    public SOAPEnvelopeImpl(String localPart,
                            String prefix,
                            String uri)

Method Detail

### addBody

    public javax.xml.soap.SOAPBody addBody()
                                    throws javax.xml.soap.SOAPException

  Specified by:
    `addBody` in interface `javax.xml.soap.SOAPEnvelope`
  Throws:
    `javax.xml.soap.SOAPException`

### addHeader

    public javax.xml.soap.SOAPHeader addHeader()
                                        throws javax.xml.soap.SOAPException

  Specified by:
    `addHeader` in interface `javax.xml.soap.SOAPEnvelope`
  Throws:
    `javax.xml.soap.SOAPException`

### createName

    public javax.xml.soap.Name createName(String localName)
                                   throws javax.xml.soap.SOAPException

  Specified by:
    `createName` in interface `javax.xml.soap.SOAPEnvelope`
  Throws:
    `javax.xml.soap.SOAPException`

### createName

    public javax.xml.soap.Name createName(String localName,
                                          String prefix,
                                          String uri)
                                   throws javax.xml.soap.SOAPException

  Specified by:
    `createName` in interface `javax.xml.soap.SOAPEnvelope`
  Throws:
    `javax.xml.soap.SOAPException`

### getBody

    public javax.xml.soap.SOAPBody getBody()
                                    throws javax.xml.soap.SOAPException

  Specified by:
    `getBody` in interface `javax.xml.soap.SOAPEnvelope`
  Throws:
    `javax.xml.soap.SOAPException`

### getHeader

    public javax.xml.soap.SOAPHeader getHeader()
                                        throws javax.xml.soap.SOAPException

  Specified by:
    `getHeader` in interface `javax.xml.soap.SOAPEnvelope`
  Throws:
    `javax.xml.soap.SOAPException`

### addTextNode

    public javax.xml.soap.SOAPElement addTextNode(String s)
                                           throws javax.xml.soap.SOAPException

  Text nodes are not supported.

  Specified by:
    `addTextNode` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `addTextNode` in class `SOAPElementAxisImpl`
  Throws:
    `javax.xml.soap.SOAPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.